<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/resources/TextureManager.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_b1edfc2c49307e65a973a203b2244023.html">resources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">TextureManager.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="TextureManager_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;SFML/Graphics.hpp&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;map&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;<a class="code" href="BuildingTile_8hpp.html">tile/BuildingTile.hpp</a>&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;<a class="code" href="RoadTile_8hpp.html">tile/RoadTile.hpp</a>&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#include &lt;<a class="code" href="TerrainTile_8hpp.html">tile/TerrainTile.hpp</a>&gt;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1TextureManager.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1TextureManager.html">TextureManager</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keyword">static</span> std::map&lt;std::string, sf::Texture *&gt; sTextureLibrary;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> sInitialized;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1TextureManager.html#acc7ee4c5254be2716920fde6d54cd823">   20</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1TextureManager.html#acc7ee4c5254be2716920fde6d54cd823">Init</a>();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1TextureManager.html#ad6fc0243a4813620ce29deb0762e39af">   21</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1TextureManager.html#ad6fc0243a4813620ce29deb0762e39af">Destroy</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="classgg_1_1TextureManager.html#a4102ebacee3e49bf31dc04389be7b2cd">   22</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1TextureManager.html#a4102ebacee3e49bf31dc04389be7b2cd">GetInitialized</a>() -&gt; bool;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="classgg_1_1TextureManager.html#a69e3c1a01bc118b339b020e7f25c4f3a">   23</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1TextureManager.html#a69e3c1a01bc118b339b020e7f25c4f3a">GetNumberOfTexures</a>() -&gt; unsigned;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keyword">static</span> <span class="keywordtype">void</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="classgg_1_1TextureManager.html#af2e0bb49b491ae495efd5ebadcdf225a">   26</a></span>    <a class="code hl_function" href="classgg_1_1TextureManager.html#af2e0bb49b491ae495efd5ebadcdf225a">AddTexture</a>(<span class="keyword">const</span> std::string &amp;name, <span class="keyword">const</span> std::string &amp;filename);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="classgg_1_1TextureManager.html#a69095440a82904c5358dbfb36bd7524e">   27</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1TextureManager.html#a69095440a82904c5358dbfb36bd7524e">GetTexture</a>(<span class="keyword">const</span> std::string &amp;texture) -&gt; sf::Texture *;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="classgg_1_1TextureManager.html#a43a2f5111cf64e0f4ede7fb88375773f">   29</a></span>    <a class="code hl_function" href="classgg_1_1TextureManager.html#a43a2f5111cf64e0f4ede7fb88375773f">TextureManager</a>() = <span class="keyword">delete</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="classgg_1_1TextureManager.html#a5e56e7c43fdf52653698d99659016eb3">   30</a></span>    <a class="code hl_function" href="classgg_1_1TextureManager.html#a5e56e7c43fdf52653698d99659016eb3">~TextureManager</a>() = <span class="keyword">delete</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>};</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aBuildingTile_8hpp_html"><div class="ttname"><a href="BuildingTile_8hpp.html">BuildingTile.hpp</a></div></div>
<div class="ttc" id="aRoadTile_8hpp_html"><div class="ttname"><a href="RoadTile_8hpp.html">RoadTile.hpp</a></div></div>
<div class="ttc" id="aTerrainTile_8hpp_html"><div class="ttname"><a href="TerrainTile_8hpp.html">TerrainTile.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1TextureManager_html"><div class="ttname"><a href="classgg_1_1TextureManager.html">gg::TextureManager</a></div><div class="ttdef"><b>Definition:</b> TextureManager.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1TextureManager_html_a4102ebacee3e49bf31dc04389be7b2cd"><div class="ttname"><a href="classgg_1_1TextureManager.html#a4102ebacee3e49bf31dc04389be7b2cd">gg::TextureManager::GetInitialized</a></div><div class="ttdeci">static auto GetInitialized() -&gt; bool</div></div>
<div class="ttc" id="aclassgg_1_1TextureManager_html_a43a2f5111cf64e0f4ede7fb88375773f"><div class="ttname"><a href="classgg_1_1TextureManager.html#a43a2f5111cf64e0f4ede7fb88375773f">gg::TextureManager::TextureManager</a></div><div class="ttdeci">TextureManager()=delete</div></div>
<div class="ttc" id="aclassgg_1_1TextureManager_html_a5e56e7c43fdf52653698d99659016eb3"><div class="ttname"><a href="classgg_1_1TextureManager.html#a5e56e7c43fdf52653698d99659016eb3">gg::TextureManager::~TextureManager</a></div><div class="ttdeci">~TextureManager()=delete</div></div>
<div class="ttc" id="aclassgg_1_1TextureManager_html_a69095440a82904c5358dbfb36bd7524e"><div class="ttname"><a href="classgg_1_1TextureManager.html#a69095440a82904c5358dbfb36bd7524e">gg::TextureManager::GetTexture</a></div><div class="ttdeci">static auto GetTexture(const std::string &amp;texture) -&gt; sf::Texture *</div></div>
<div class="ttc" id="aclassgg_1_1TextureManager_html_a69e3c1a01bc118b339b020e7f25c4f3a"><div class="ttname"><a href="classgg_1_1TextureManager.html#a69e3c1a01bc118b339b020e7f25c4f3a">gg::TextureManager::GetNumberOfTexures</a></div><div class="ttdeci">static auto GetNumberOfTexures() -&gt; unsigned</div></div>
<div class="ttc" id="aclassgg_1_1TextureManager_html_acc7ee4c5254be2716920fde6d54cd823"><div class="ttname"><a href="classgg_1_1TextureManager.html#acc7ee4c5254be2716920fde6d54cd823">gg::TextureManager::Init</a></div><div class="ttdeci">static void Init()</div></div>
<div class="ttc" id="aclassgg_1_1TextureManager_html_ad6fc0243a4813620ce29deb0762e39af"><div class="ttname"><a href="classgg_1_1TextureManager.html#ad6fc0243a4813620ce29deb0762e39af">gg::TextureManager::Destroy</a></div><div class="ttdeci">static void Destroy()</div></div>
<div class="ttc" id="aclassgg_1_1TextureManager_html_af2e0bb49b491ae495efd5ebadcdf225a"><div class="ttname"><a href="classgg_1_1TextureManager.html#af2e0bb49b491ae495efd5ebadcdf225a">gg::TextureManager::AddTexture</a></div><div class="ttdeci">static void AddTexture(const std::string &amp;name, const std::string &amp;filename)</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
